import { Subscription } from "./Subscription.js";
export declare class EventBus {
    private m_id;
    private m_label;
    private m_register;
    constructor(label?: string);
    get id(): string;
    get label(): string;
    private get register();
    subscribe(eventType: string, callback: Function): Subscription;
    publish(eventType: string, data?: any): void;
}
